﻿h1, h2, h3 {
    font-weight: bold;
    font-family: SF New Republic;
}

h4, h5, h6{
    font-family: Roboto;
}

h1 {
    font-size: 40pt;
}

h2 {
    font-size: 29pt;
}

h3 {
    font-size: 20pt;
}

h4 {
    font-size: 16pt;
    font-weight: bold;
}

h5 {
    font-size: 14pt;
}

h6 {
    font-size: 12pt;
}

html, body, label, select {
    font-family: Roboto;
    font-size: 0.95rem;
}

input {
    padding: 2px 12px !important;
}

a, .btn-link {
    color: #0366d6;
}

.bi {
    font-size: 20px;
}

.nav-link {
    transition: color 0.2s ease;
    color: rgb(170, 170, 170);
}

.nav-link:hover{
    color: #ef8380 !important;
}

.nav-link.active {
    color: #f3b1ab
}

.btn, .rz-button {
    border-radius: 10px !important;
}

.btn-primary {
    background-color: #ef8380 !important;
    border-color: #f3b1ab !important;
    color: #ffffff !important;
}

.btn-secondary {
    background-color: #f3b1ab !important;
    color: #605f59 !important;
}

.btn-secondary:hover {
    background-color: #f3b1ab !important;
    color: #605f59 !important;
    filter: brightness(110%);
}

.btn-primary:hover {
    background-color: #ef8380;
    border-color: #f3b1ab;
    color: #ffffff;
    filter: brightness(110%);
}

.add-button {
    font-size: 25px;
    cursor: pointer;
    color: rgba(40, 168, 69, 0.65);
    transition: color 0.1s ease;
}

.add-button:hover {
    color: rgba(40, 168, 69);
}

.remove-button {
    font-size: 25px;
    cursor: pointer;
    color: rgba(220, 53, 69, 0.65);
    transition: color 0.1s ease;
}

.remove-button:hover {
    color: rgba(220, 53, 69);
}

.info-button {
    transition: color 0.1s ease;
    cursor: pointer;
    color: rgba(81, 212, 255, 0.65);
}

.info-button:hover {
    color: rgba(81, 212, 255);
}

.price-field {
    text-align: end;
}

.btn-primary:disabled,
.btn-primary[disabled] {
    background-color: #f3b1ab !important;
    border-color: #fcece9 !important;
    color: #ffffff !important;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.anchor-link {
    color: rgb(3, 102, 214);
    text-decoration: underline;
}

li.rz-tabview-selected {
    border-top-color: #fb8e85 !important;
}

span.rz-cell-data {
    height: 38px;
    display: flex;
    align-items: center;
    height: 100%;
}

.rz-state-active:not(.rz-tabview-selected) a[role="tab"] {
    color: rgb(120, 120, 120) !important;
}

.rz-tabview-nav li:hover:not(.rz-tabview-selected):not(.rz-state-disabled) {
    border-top-color: #fb8e85 !important;
}

.rz-expanded-row-template {
    border: none !important;
    padding: 0% !important;
}

.rz-textarea[readonly] {
    color: rgb(170, 170, 170) !important;
    background-color: #f4f4f4 !important;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }